Loading...
Searching...
No Matches
casacore::TableExprFuncNodeArray Class Reference
tables package (libcasa_tables) » TaQL_module » TaQL_module_internal_classes

More...

`#include <ExprFuncNodeArray.h>`

## Public Member Functions

| TableExprFuncNodeArray (TableExprFuncNode::FunctionType, NodeDataType, ValueType, const TableExprNodeSet &source, const vector< TENShPtr > &nodes, const Block< Int > &dtypeOper, const TaQLStyle &)
| Constructor.
| ~TableExprFuncNodeArray ()
| Destructor.
virtual void | flattenTree (std::vector< TableExprNodeRep * > &)
| Flatten the node tree by adding the node and its children to the vector.
virtual MArray< Bool > | getArrayBool (const TableExprId &id)
| 'get' Functions to get the desired result of a function
virtual MArray< Int64 > | getArrayInt (const TableExprId &id)
virtual MArray< Double > | getArrayDouble (const TableExprId &id)
virtual MArray< DComplex > | getArrayDComplex (const TableExprId &id)
virtual MArray< String > | getArrayString (const TableExprId &id)
virtual MArray< MVTime > | getArrayDate (const TableExprId &id)
TableExprFuncNode * | getChild ()
| Get the function node.
const TableExprFuncNode * | getChild () const
Public Member Functions inherited from casacore::TableExprNodeArray
| TableExprNodeArray (NodeDataType, OperType)
| Create the object.
| TableExprNodeArray (const TableExprNodeRep &node, NodeDataType, OperType)
| TableExprNodeArray (NodeDataType, OperType, const IPosition &shape)
| ~TableExprNodeArray () override=default
virtual TENShPtr | makeConstantScalar ()
| Turn a constant array with one element into a scalar.
IPosition | validateIndex (const IPosition &index, const ArrayBase &arr) const
| Validate the given index against the array's shape.
const IPosition & | getShape (const TableExprId &id) override
| Get the shape of the array in the given row.
MArray< Double > | getArrayDouble (const TableExprId &id) override
| The default implementation of getArrayDouble does getArrayInt and converts the result.
MArray< DComplex > | getArrayDComplex (const TableExprId &id) override
| The default implementation of getArrayDComplex does getArrayDouble and converts the result.
Bool | contains (const TableExprId &id, Bool value) override
| Does a value occur in the set?
Bool | contains (const TableExprId &id, Int64 value) override
Bool | contains (const TableExprId &id, Double value) override
Bool | contains (const TableExprId &id, DComplex value) override
Bool | contains (const TableExprId &id, String value) override
Bool | contains (const TableExprId &id, MVTime value) override
MArray< Bool > | contains (const TableExprId &id, const MArray< Bool > &value) override
MArray< Bool > | contains (const TableExprId &id, const MArray< Int64 > &value) override
MArray< Bool > | contains (const TableExprId &id, const MArray< Double > &value) override
MArray< Bool > | contains (const TableExprId &id, const MArray< DComplex > &value) override
MArray< Bool > | contains (const TableExprId &id, const MArray< String > &value) override
MArray< Bool > | contains (const TableExprId &id, const MArray< MVTime > &value) override
virtual Bool | getElemBool (const TableExprId &id, const Slicer &index)
| Get a single element from the array in the given row.
virtual Int64 | getElemInt (const TableExprId &id, const Slicer &index)
virtual Double | getElemDouble (const TableExprId &id, const Slicer &index)
virtual DComplex | getElemDComplex (const TableExprId &id, const Slicer &index)
virtual String | getElemString (const TableExprId &id, const Slicer &index)
virtual MVTime | getElemDate (const TableExprId &id, const Slicer &index)
virtual MArray< Bool > | getSliceBool (const TableExprId &id, const Slicer &)
| Get a slice of the array in the given row.
virtual MArray< Int64 > | getSliceInt (const TableExprId &id, const Slicer &)
virtual MArray< Double > | getSliceDouble (const TableExprId &id, const Slicer &)
virtual MArray< DComplex > | getSliceDComplex (const TableExprId &id, const Slicer &)
virtual MArray< String > | getSliceString (const TableExprId &id, const Slicer &)
virtual MArray< MVTime > | getSliceDate (const TableExprId &id, const Slicer &)
virtual Array< Bool > | getElemColumnBool (const Vector< rownr_t > &rownrs, const Slicer &)
| Get a single element for the entire column (used by sort).
virtual Array< uChar > | getElemColumnuChar (const Vector< rownr_t > &rownrs, const Slicer &)
virtual Array< Short > | getElemColumnShort (const Vector< rownr_t > &rownrs, const Slicer &)
virtual Array< uShort > | getElemColumnuShort (const Vector< rownr_t > &rownrs, const Slicer &)
virtual Array< Int > | getElemColumnInt (const Vector< rownr_t > &rownrs, const Slicer &)
virtual Array< uInt > | getElemColumnuInt (const Vector< rownr_t > &rownrs, const Slicer &)
virtual Array< Int64 > | getElemColumnInt64 (const Vector< rownr_t > &rownrs, const Slicer &)
virtual Array< Float > | getElemColumnFloat (const Vector< rownr_t > &rownrs, const Slicer &)
virtual Array< Double > | getElemColumnDouble (const Vector< rownr_t > &rownrs, const Slicer &)
virtual Array< Complex > | getElemColumnComplex (const Vector< rownr_t > &rownrs, const Slicer &)
virtual Array< DComplex > | getElemColumnDComplex (const Vector< rownr_t > &rownrs, const Slicer &)
virtual Array< String > | getElemColumnString (const Vector< rownr_t > &rownrs, const Slicer &)
Public Member Functions inherited from casacore::TableExprNodeBinary
| TableExprNodeBinary (NodeDataType, ValueType, OperType, ExprType)
| Constructor.
| TableExprNodeBinary (NodeDataType, const TableExprNodeRep &, OperType)
| ~TableExprNodeBinary () override=default
| Destructor.
void | show (ostream &, uInt indent) const override
| Show the expression tree.
void | flattenTree (std::vector< TableExprNodeRep * > &) override
| Flatten the node tree by adding the node and its children to the vector.
void | setChildren (const TENShPtr &left, const TENShPtr &right, Bool adapt=True)
| Set the children.
virtual void | handleUnits ()
| Handle the units of the children and possibly set the parent's unit.
void | adaptDataTypes ()
| If one of the children is a constant, convert its data type to that of the other operand.
const TENShPtr & | getLeftChild () const
| Get the child nodes.
const TENShPtr & | getRightChild () const
Public Member Functions inherited from casacore::TableExprNodeRep
| TableExprNodeRep (NodeDataType, ValueType, OperType, ArgType, ExprType, Int ndim, const IPosition &shape)
| Construct a node.
| TableExprNodeRep (NodeDataType, ValueType, OperType, ExprType)
| This constructor is called from the derived TableExprNodeRep.
| TableExprNodeRep (const TableExprNodeRep &)=default
| Copy constructor.
TableExprNodeRep & | operator= (const TableExprNodeRep &)=delete
| Assign to a TableExprNodeRep cannot be done.
virtual | ~TableExprNodeRep ()=default
| The destructor deletes all the underlying TableExprNode objects.
virtual Bool | isAggregate () const
| Is the node an aggegation node.
virtual TableExprInfo | getTableInfo () const
| Get the table info.
virtual void | optimize ()
| Try to optimize the node (meant for the right hand of the IN operator).
virtual void | disableApplySelection ()
| Do not apply the selection.
virtual void | applySelection (const Vector< rownr_t > &rownrs)
| Re-create the column object for a selection of rows.
virtual Double | getUnitFactor () const
| Get the unit conversion factor.
virtual std::shared_ptr< TableExprGroupFuncBase > | makeGroupAggrFunc ()
| Create the correct immediate aggregate function object.
virtual Bool | isLazyAggregate () const
| Is the aggregate function a lazy or an immediate one?
virtual Bool | getBool (const TableExprId &id)
| Get a scalar value for this node in the given row.
virtual Int64 | getInt (const TableExprId &id)
virtual Double | getDouble (const TableExprId &id)
virtual DComplex | getDComplex (const TableExprId &id)
virtual String | getString (const TableExprId &id)
virtual TaqlRegex | getRegex (const TableExprId &id)
virtual MVTime | getDate (const TableExprId &id)
void | get (const TableExprId &id, Bool &value)
| General get functions for template purposes.
void | get (const TableExprId &id, Int64 &value)
void | get (const TableExprId &id, Double &value)
void | get (const TableExprId &id, DComplex &value)
void | get (const TableExprId &id, MVTime &value)
void | get (const TableExprId &id, String &value)
void | get (const TableExprId &id, MArray< Bool > &value)
void | get (const TableExprId &id, MArray< Int64 > &value)
void | get (const TableExprId &id, MArray< Double > &value)
void | get (const TableExprId &id, MArray< DComplex > &value)
void | get (const TableExprId &id, MArray< MVTime > &value)
void | get (const TableExprId &id, MArray< String > &value)
MArray< Bool > | getBoolAS (const TableExprId &id)
| Get a value as an array, even it it is a scalar.
MArray< Int64 > | getIntAS (const TableExprId &id)
MArray< Double > | getDoubleAS (const TableExprId &id)
MArray< DComplex > | getDComplexAS (const TableExprId &id)
MArray< String > | getStringAS (const TableExprId &id)
MArray< MVTime > | getDateAS (const TableExprId &id)
rownr_t | nrow ()
| Get the number of rows in the table associated with this expression.
virtual Bool | getColumnDataType (DataType &) const
| Get the data type of the column.
virtual Array< Bool > | getColumnBool (const Vector< rownr_t > &rownrs)
| Get the value of the expression evaluated for the entire column.
virtual Array< uChar > | getColumnuChar (const Vector< rownr_t > &rownrs)
virtual Array< Short > | getColumnShort (const Vector< rownr_t > &rownrs)
virtual Array< uShort > | getColumnuShort (const Vector< rownr_t > &rownrs)
virtual Array< Int > | getColumnInt (const Vector< rownr_t > &rownrs)
virtual Array< uInt > | getColumnuInt (const Vector< rownr_t > &rownrs)
virtual Array< Int64 > | getColumnInt64 (const Vector< rownr_t > &rownrs)
virtual Array< Float > | getColumnFloat (const Vector< rownr_t > &rownrs)
virtual Array< Double > | getColumnDouble (const Vector< rownr_t > &rownrs)
virtual Array< Complex > | getColumnComplex (const Vector< rownr_t > &rownrs)
virtual Array< DComplex > | getColumnDComplex (const Vector< rownr_t > &rownrs)
virtual Array< String > | getColumnString (const Vector< rownr_t > &rownrs)
virtual void | ranges (Block< TableExprRange > &)
| Convert the tree to a number of range vectors which at least select the same things.
NodeDataType | dataType () const
| Get the data type of the derived TableExprNode object.
Bool | isReal () const
| Is the data type real (i.e., integer or double)?
ValueType | valueType () const
| Get the value type.
void | setValueType (ValueType vtype)
| Set the value type.
OperType | operType () const
| Get the operator type.
ExprType | exprType () const
| Get the expression type.
Bool | isConstant () const
| Is the expression a constant?
const Unit & | unit () const
| Get the unit.
void | setUnit (const Unit &unit)
| Set the unit.
const Record & | attributes () const
| Get the attributes.
void | setAttributes (const Record &)
| Set the attributes.
Int | ndim () const
| Get the fixed dimensionality (same for all rows).
const IPosition & | shape () const
| Get the fixed shape (same for all rows).
const IPosition & | shape (const TableExprId &id)
| Get the shape for the given row.
virtual Bool | isDefined (const TableExprId &id)
| Is the value in the given row defined?
virtual void | adaptSetUnits (const Unit &)
| Let a set node convert itself to the given unit.

## Protected Member Functions

void | tryToConst ()
| Try if the function gives a constant result.
const std::vector< TENShPtr > & | operands () const
| Some functions to be used by TableExprNodeFuncArray.
std::vector< TENShPtr > & | rwOperands ()
TableExprFuncNode::FunctionType | funcType () const
NodeDataType | argDataType () const
Protected Member Functions inherited from casacore::TableExprNodeRep
void | fillExprType (const TableExprNodeRep *node)
| Set expression type to Variable if node is Variable.

## Private Member Functions

IPosition | getAxes (const TableExprId &id, Int ndim, uInt axarg=1, Bool swapRemove=True)
| Get the collapse axes for the partial functions.
IPosition | removeAxes (const IPosition &axes, Int ndim) const
| Remove axes exceeding ndim.
const IPosition & | getArrayShape (const TableExprId &id, uInt axarg=1)
| Get the shape for the array, boxed and running functions.
IPosition | getOrder (const TableExprId &id, Int ndim)
| Get the transpose order of the array axes.
IPosition | getReverseAxes (const TableExprId &id, uInt ndim)
| Get the axes for the reverse function.
const IPosition & | getDiagonalArg (const TableExprId &id, const IPosition &shp)
| Get the arguments for the diagonals function.
const IPosition & | getAlternate (const TableExprId &id)
| Set the alternate value expandAlt_p for array expand and return it.
IPosition | adjustShape (const IPosition &shape, const IPosition &origShape) const
| Adjust the resize shape by replacing negative axes with the original axis (if present) or 1.
template<typename T>
MArray< T > | TEFResize (const MArray< T > &arr, const TableExprId &id)
| Templated function to resize/expand an array.
MArray< Double > | angdistx (const MArray< Double > &a1, const MArray< Double > &a2) const
| The angular distance between each pair of the arguments.

## Private Attributes

TableExprFuncNode | node_p
Int | origin_p
Bool | isCOrder_p
Bool | constAxes_p
Bool | constAlt_p
IPosition | ipos_p
IPosition | iposN_p
IPosition | expandAlt_p

## Additional Inherited Members

Public Types inherited from casacore::TableExprNodeRep
enum | NodeDataType { NTBool , NTInt , NTDouble , NTComplex , NTString , NTRegex , NTDate , NTReal , NTDouCom , NTNumeric , NTAny }
| Define the data types of a node. More...
enum | ValueType { VTScalar , VTArray , VTRecord , VTSetElem , VTSet , VTIndex }
| Define the value types. More...
enum | OperType { OtPlus , OtMinus , OtTimes , OtDivide , OtModulo , OtBitAnd , OtBitOr , OtBitXor , OtBitNegate , OtEQ , OtGE , OtGT , OtNE , OtIN , OtAND , OtOR , OtNOT , OtMIN , OtColumn , OtField , OtLiteral , OtFunc , OtSlice , OtUndef , OtRownr , OtRandom }
| Define the operator types. More...
enum | ArgType { NoArr , ArrArr , ArrSca , ScaArr }
| Define the value types of the 2 arguments when arrays are involved. More...
enum | ExprType { Constant , Variable }
| Define (sub-)expression type. More...
Static Public Member Functions inherited from casacore::TableExprNodeArray
static MArray< Int64 > | makeArray (const IPosition &shape, Int64 value)
| Make an array with the given shape and fill it with the value.
static MArray< Double > | makeArray (const IPosition &shape, Double value)
static MArray< DComplex > | makeArray (const IPosition &shape, const DComplex &value)
Static Public Member Functions inherited from casacore::TableExprNodeBinary
static NodeDataType | getDT (NodeDataType leftDtype, NodeDataType rightDype, OperType operType)
| Check the data types and get the common one.
static TableExprNodeRep | getCommonTypes (const TENShPtr &left, const TENShPtr &right, OperType operType)
| Check the data and value types and get the common one.
Static Public Member Functions inherited from casacore::TableExprNodeRep
static TENShPtr | replaceConstNode (const TENShPtr &node)
| Replace a node with a constant expression by node with its value.
static void | createRange (Block< TableExprRange > &, TableExprNodeColumn *, Double start, Double end)
| Create a range object from a column and an interval.
static void | createRange (Block< TableExprRange > &)
| Create a empty range object.
static String | typeString (NodeDataType)
| Convert a NodeDataType to a string.
static String | typeString (ValueType)
| Convert a ValueType to a string.
Static Protected Member Functions inherited from casacore::TableExprNodeBinary
static const Unit & | makeEqualUnits (const TENShPtr &left, TENShPtr &right)
| Make the units equal.
Static Protected Member Functions inherited from casacore::TableExprNodeRep
static TENShPtr | convertNode (const TENShPtr &thisNode, Bool convertConstType)
| If the node is constant, it is evaluated and replaced by the appropriate TableExprNodeConst object.
Protected Attributes inherited from casacore::TableExprNodeArray
IPosition | varShape_p
Protected Attributes inherited from casacore::TableExprNodeBinary
TENShPtr | lnode_p
TENShPtr | rnode_p
Protected Attributes inherited from casacore::TableExprNodeRep
NodeDataType | dtype_p
ValueType | vtype_p
OperType | optype_p
ArgType | argtype_p
ExprType | exprtype_p
Int | ndim_p
IPosition | shape_p
Unit | unit_p
Record | attributes_p

## Detailed Description

Class representing an array function in table select expression

### Intended use:

Internal

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

### Prerequisite

- TableExprFuncNode
- TableExprNodeArray

### Synopsis

This class can be seen as a specialization of TableExprFuncNode for functions returning arrays. However, it is derived from TableExprNodeArray to make it possible that the ExprNode classes use all array functionality offered by that base class.
Internally an TableExprFuncNode object is used.

When a TaQL function is used, TableExprFuncNode::checkOperands determines whether the result is a scalar or an array. Thereafter TableExprNode::newFunctionNode creates a TableExprFuncNode for scalars or a TableExprFuncNodeArray for arrays.

Definition at line 68 of file ExprFuncNodeArray.h.

## Constructor & Destructor Documentation

## TableExprFuncNodeArray()

casacore::TableExprFuncNodeArray::TableExprFuncNodeArray | ( | TableExprFuncNode::FunctionType | ,
|  | NodeDataType | ,
|  | ValueType | ,
|  | const TableExprNodeSet & | source,
|  | const vector< TENShPtr > & | nodes,
|  | const Block< Int > & | dtypeOper,
|  | const TaQLStyle & | )

Constructor.

## ~TableExprFuncNodeArray()

casacore::TableExprFuncNodeArray::~TableExprFuncNodeArray | ( |  | ) |

Destructor.

## Member Function Documentation

## adjustShape()

IPosition casacore::TableExprFuncNodeArray::adjustShape | ( | const IPosition & | shape,
|  | const IPosition & | origShape ) const

private

Adjust the resize shape by replacing negative axes with the original axis (if present) or 1.

References casacore::shape().

## angdistx()

MArray< Double > casacore::TableExprFuncNodeArray::angdistx | ( | const MArray< Double > & | a1,
|  | const MArray< Double > & | a2 ) const

private

The angular distance between each pair of the arguments.

## argDataType()

NodeDataType casacore::TableExprFuncNodeArray::argDataType | ( |  | ) | const

inline protected

Definition at line 115 of file ExprFuncNodeArray.h.

References node_p.

## flattenTree()

virtual void casacore::TableExprFuncNodeArray::flattenTree | ( | std::vector< TableExprNodeRep * > & |  | ) |

virtual

Flatten the node tree by adding the node and its children to the vector.

Reimplemented from casacore::TableExprNodeRep.

## funcType()

TableExprFuncNode::FunctionType casacore::TableExprFuncNodeArray::funcType | ( |  | ) | const

inline protected

Definition at line 113 of file ExprFuncNodeArray.h.

References node_p.

## getAlternate()

const IPosition & casacore::TableExprFuncNodeArray::getAlternate | ( | const TableExprId & | id | ) |

private

Set the alternate value expandAlt_p for array expand and return it.

## getArrayBool()

virtual MArray< Bool > casacore::TableExprFuncNodeArray::getArrayBool | ( | const TableExprId & | id | ) |

virtual

'get' Functions to get the desired result of a function

Reimplemented from casacore::TableExprNodeRep.

Reimplemented in casacore::TableExprAggrNodeArray, and casacore::TableExprConeNodeArray.

## getArrayDate()

virtual MArray< MVTime > casacore::TableExprFuncNodeArray::getArrayDate | ( | const TableExprId & | id | ) |

virtual

Reimplemented from casacore::TableExprNodeRep.

Reimplemented in casacore::TableExprAggrNodeArray.

## getArrayDComplex()

virtual MArray< DComplex > casacore::TableExprFuncNodeArray::getArrayDComplex | ( | const TableExprId & | id | ) |

virtual

Reimplemented from casacore::TableExprNodeRep.

Reimplemented in casacore::TableExprAggrNodeArray.

## getArrayDouble()

virtual MArray< Double > casacore::TableExprFuncNodeArray::getArrayDouble | ( | const TableExprId & | id | ) |

virtual

Reimplemented from casacore::TableExprNodeRep.

Reimplemented in casacore::TableExprAggrNodeArray.

## getArrayInt()

virtual MArray< Int64 > casacore::TableExprFuncNodeArray::getArrayInt | ( | const TableExprId & | id | ) |

virtual

Reimplemented from casacore::TableExprNodeRep.

Reimplemented in casacore::TableExprAggrNodeArray, and casacore::TableExprConeNodeArray.

## getArrayShape()

const IPosition & casacore::TableExprFuncNodeArray::getArrayShape | ( | const TableExprId & | id,
|  | uInt | axarg = 1 )

private

Get the shape for the array, boxed and running functions.

If an axis length < 0, the corresponding main shape axis (if present) is used. axarg gives the argument nr of the shape.

## getArrayString()

virtual MArray< String > casacore::TableExprFuncNodeArray::getArrayString | ( | const TableExprId & | id | ) |

virtual

Reimplemented from casacore::TableExprNodeRep.

Reimplemented in casacore::TableExprAggrNodeArray.

## getAxes()

IPosition casacore::TableExprFuncNodeArray::getAxes | ( | const TableExprId & | id,
|  | Int | ndim,
|  | uInt | axarg = 1,
|  | Bool | swapRemove = True )

private

Get the collapse axes for the partial functions.

It compares the values with the #dim and removes them if too high. axarg gives the argument nr of the axes.

References casacore::ndim(), and casacore::True.

## getChild() [1/2]

TableExprFuncNode * casacore::TableExprFuncNodeArray::getChild | ( |  | ) |

inline

Get the function node.

Definition at line 96 of file ExprFuncNodeArray.h.

References node_p.

## getChild() [2/2]

const TableExprFuncNode * casacore::TableExprFuncNodeArray::getChild | ( |  | ) | const

inline

Definition at line 98 of file ExprFuncNodeArray.h.

References node_p.

## getDiagonalArg()

const IPosition & casacore::TableExprFuncNodeArray::getDiagonalArg | ( | const TableExprId & | id,
|  | const IPosition & | shp )

private

Get the arguments for the diagonals function.

They are checked and if needed adapted if the shape is not empty.

## getOrder()

IPosition casacore::TableExprFuncNodeArray::getOrder | ( | const TableExprId & | id,
|  | Int | ndim )

private

Get the transpose order of the array axes.

References casacore::ndim().

## getReverseAxes()

IPosition casacore::TableExprFuncNodeArray::getReverseAxes | ( | const TableExprId & | id,
|  | uInt | ndim )

private

Get the axes for the reverse function.

References casacore::ndim().

## operands()

const std::vector< TENShPtr > & casacore::TableExprFuncNodeArray::operands | ( |  | ) | const

inline protected

Some functions to be used by TableExprNodeFuncArray.

Definition at line 109 of file ExprFuncNodeArray.h.

References node_p.

Referenced by casacore::TableExprAggrNodeArray::operand().

## removeAxes()

IPosition casacore::TableExprFuncNodeArray::removeAxes | ( | const IPosition & | axes,
|  | Int | ndim ) const

private

Remove axes exceeding ndim.

References casacore::ndim().

## rwOperands()

std::vector< TENShPtr > & casacore::TableExprFuncNodeArray::rwOperands | ( |  | ) |

inline protected

Definition at line 111 of file ExprFuncNodeArray.h.

References node_p.

## TEFResize()

template<typename T>

MArray< T > casacore::TableExprFuncNodeArray::TEFResize | ( | const MArray< T > & | arr,
|  | const TableExprId & | id )

private

Templated function to resize/expand an array.

## tryToConst()

void casacore::TableExprFuncNodeArray::tryToConst | ( |  | ) |

protected

Try if the function gives a constant result.

If so, set the expression type to Constant. Get possible constant arguments like axes.

## Member Data Documentation

## constAlt_p

Bool casacore::TableExprFuncNodeArray::constAlt_p

private

Definition at line 169 of file ExprFuncNodeArray.h.

## constAxes_p

Bool casacore::TableExprFuncNodeArray::constAxes_p

private

Definition at line 168 of file ExprFuncNodeArray.h.

## expandAlt_p

IPosition casacore::TableExprFuncNodeArray::expandAlt_p

private

Definition at line 172 of file ExprFuncNodeArray.h.

## ipos_p

IPosition casacore::TableExprFuncNodeArray::ipos_p

private

Definition at line 170 of file ExprFuncNodeArray.h.

## iposN_p

IPosition casacore::TableExprFuncNodeArray::iposN_p

private

Definition at line 171 of file ExprFuncNodeArray.h.

## isCOrder_p

Bool casacore::TableExprFuncNodeArray::isCOrder_p

private

Definition at line 167 of file ExprFuncNodeArray.h.

## node_p

TableExprFuncNode casacore::TableExprFuncNodeArray::node_p

private

Definition at line 165 of file ExprFuncNodeArray.h.

Referenced by argDataType(), funcType(), getChild(), getChild(), operands(), and rwOperands().

## origin_p

Int casacore::TableExprFuncNodeArray::origin_p

private

Definition at line 166 of file ExprFuncNodeArray.h.

The documentation for this class was generated from the following file:

- tables/TaQL/ExprFuncNodeArray.h